javax.accessibility

## Interface AccessibleExtendedTable

All Superinterfaces:
  AccessibleTable

All Known Implementing Classes:
  JTable.AccessibleJTable

    public interface AccessibleExtendedTable
    extends AccessibleTable

Class AccessibleExtendedTable provides extended information about a user-interface component that presents data in a two-dimensional table format. Applications can determine if an object supports the AccessibleExtendedTable interface by first obtaining its AccessibleContext and then calling the `AccessibleContext.getAccessibleTable()` method. If the return value is not null and the type of the return value is AccessibleExtendedTable, the object supports this interface.

Since:
  1.4

### Method Summary

Methods
`int` `getAccessibleColumn(int index)` Returns the column number of an index in the table.
`int` `getAccessibleIndex(int r, int c)`
`int` `getAccessibleRow(int index)` Returns the row number of an index in the table.

### Methods inherited from interface javax.accessibility.AccessibleTable

`getAccessibleAt, getAccessibleCaption, getAccessibleColumnCount, getAccessibleColumnDescription, getAccessibleColumnExtentAt, getAccessibleColumnHeader, getAccessibleRowCount, getAccessibleRowDescription, getAccessibleRowExtentAt, getAccessibleRowHeader, getAccessibleSummary, getSelectedAccessibleColumns, getSelectedAccessibleRows, isAccessibleColumnSelected, isAccessibleRowSelected, isAccessibleSelected, setAccessibleCaption, setAccessibleColumnDescription, setAccessibleColumnHeader, setAccessibleRowDescription, setAccessibleRowHeader, setAccessibleSummary`

### Method Detail

#### getAccessibleRow

    int getAccessibleRow(int index)

Returns the row number of an index in the table.

Parameters:
  `index` - the zero-based index in the table. The index is the table cell offset from row == 0 and column == 0.
Returns:
  the zero-based row of the table if one exists; otherwise -1.

#### getAccessibleColumn

    int getAccessibleColumn(int index)

Returns the column number of an index in the table.

Parameters:
  `index` - the zero-based index in the table. The index is the table cell offset from row == 0 and column == 0.
Returns:
  the zero-based column of the table if one exists; otherwise -1.

#### getAccessibleIndex

    int getAccessibleIndex(int r,
                         int c)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.